package com.playlet.web.service.app;

import com.github.pagehelper.PageInfo;
import com.playlet.system.domain.PlayletRevenueRecord;
import com.playlet.system.pojo.vo.RevenueRecordStatisticsVO;

import java.util.List;

/**
 * @Date: 2024-03-17
 * @Author: 但星霖
 * @Version: v1.0
 * @Description: 短剧任务收益Service app接口
 */
public interface PlayletRevenueRecordAppService {

    PageInfo<PlayletRevenueRecord> getItemPage(PlayletRevenueRecord record, Integer pageSize, Integer pageNum);

    PlayletRevenueRecord statisticsTime(PlayletRevenueRecord record);

    RevenueRecordStatisticsVO statistics(PlayletRevenueRecord record);

    List<PlayletRevenueRecord> statisticsTimeType(PlayletRevenueRecord record);

    List<PlayletRevenueRecord> searchByTaskId(Long taskId);
}
